##
## System settings
##


##
## Installation directory prefix
##

PREFIX=/usr/local

#INCLUDES += -I$(PREFIX)/include
#LIBS += -L$(PREFIX)/lib


##
## X libraries, includes and options
##

X11_PREFIX=/usr/X11R6

# SunOS/Solaris
#X11_PREFIX=/usr/openwin

X11_LIBS=$(X11_PREFIX)/lib
X11_INCLUDES=$(X11_PREFIX)/include
X11_DEFINES=


##
## C compiler
##

CC=gcc

ANSI_SOURCE=-ansi
BSD_SOURCE=-ansi -D_BSD_SOURCE
XOPENEXT_SOURCE=-ansi -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED

# Same as '-Wall -pedantic-errors' without '-Wunused' as callbacks often
# have unused variables.
WARN=	-W -Wimplicit -Wreturn-type -Wswitch -Wcomment \
	-Wtrigraphs -Wformat -Wchar-subscripts -Wuninitialized \
	-Wparentheses -pedantic-errors

CC_FLAGS=-g -O2 $(WARN) $(DEFINES) $(INCLUDES)
LINK_FLAGS=-g $(LIBS)


##
## AR
##

AR=ar
AR_FLAGS=crs


##
## Install & strip
##

INSTALL=install -c
# bsdinst or bsdinst.sh should do the job under IRIX.
#INSTALL=bsdinst -c

BIN_MODE=755
DATA_MODE=664

STRIP=strip

